// -- Lights

// Regular Lights

textures/cpm32_b1/coals
{
	qer_editorimage textures/cpm32_b1/coals.tga
	q3map_lightimage textures/cpm32_b1/coals.tga
	q3map_surfacelight 800
	q3map_backSplash 10 25


	{
		map textures/cpm32_b1/coals.tga
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
   	{
		map textures/cpm32_b1/coals.blend.tga
		blendfunc add
		rgbGen wave sin 0.7 0.3 0 0.3
	}
}


textures/cpm32_b1/cross-lt1_1k
{
	qer_editorimage textures/cpm32_b1/cross-lt1.tga
	surfaceparm nomarks
	q3map_surfacelight 1200 //1000
	{
		map $lightmap
		//rgbGen identity
	}
	{
		map textures/cpm32_b1/cross-lt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/cross-lt1.blend.tga
		blendfunc GL_one GL_one
	}
}

textures/cpm32_b1/cross-lt1_3k
{
	qer_editorimage textures/cpm32_b1/cross-lt1.tga
	surfaceparm nomarks
	q3map_surfacelight 3600 //3k
	{
		map $lightmap
		//rgbGen identity
	}
	{
		map textures/cpm32_b1/cross-lt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/cross-lt1.blend.tga
		blendfunc GL_one GL_one
	}
}

textures/cpm32_b1/cross-lt1_6k
{
	qer_editorimage textures/cpm32_b1/cross-lt1.tga
	surfaceparm nomarks
	q3map_surfacelight 6600 //6k
	{
		map $lightmap
		//rgbGen identity
	}
	{
		map textures/cpm32_b1/cross-lt1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/cross-lt1.blend.tga
		blendfunc GL_one GL_one
	}
}

textures/cpm32_b1/pent-lt1_1k
{
	qer_editorimage textures/cpm32_b1/pent_light_purple.tga
	surfaceparm nomarks
	q3map_surfacelight 1500 //1250
	{
		map $lightmap
		//rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.blend.tga
		blendfunc GL_one GL_one
	}
}

textures/cpm32_b1/pent-lt1_3k
{
	qer_editorimage textures/cpm32_b1/pent_light_purple.tga
	surfaceparm nomarks
	q3map_surfacelight 4250  //3250
	{
		map $lightmap
		//rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.blend.tga
		blendfunc GL_one GL_one
	}
}

textures/cpm32_b1/pent-lt1_6k
{
	qer_editorimage textures/cpm32_b1/pent_light_purple.tga
	surfaceparm nomarks
	q3map_surfacelight 7500  //6500
	{
		map $lightmap
		//rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.blend.tga
		blendfunc GL_one GL_one
	}
}


textures/cpm32_b1/copper_roundlight_10k
{
	qer_editorimage textures/cpm32_b1/copper_light_512.tga
	surfaceparm nomarks
	q3map_surfacelight 12000  //10k
	{
		map $lightmap
		//rgbGen identity
	}
	{
		map textures/cpm32_b1/copper_light_512.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/copper_light_512.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm32_b1/smpent_trans
{
	qer_editorimage textures/cpm32_b1/pent_light.tga
	q3map_lightimage textures/cpm32_b1/pent_light.blend.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 9500 //8500
	q3map_backSplash 10 25
	polygonOffset
	sort 6
	{
		map $lightmap
	}
	{
		map textures/cpm32_b1/pent_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm32_b1/smpent_trans_purp
{
	qer_editorimage textures/cpm32_b1/pent_light_purple.tga
	q3map_lightimage textures/cpm32_b1/pent_light_purple.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 9000  //8000
	//q3map_backSplash 10 25
	polygonOffset
	sort 6
	{
		map $lightmap
	}
	{
		map textures/cpm32_b1/pent_light.tga
		rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm32_b1/smpent_trans_purp_4k
{
	qer_editorimage textures/cpm32_b1/pent_light_purple.tga
	q3map_lightimage textures/cpm32_b1/pent_light_purple.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 5500  //4500
	//q3map_backSplash 10 25
	polygonOffset
	sort 6
	{
		map $lightmap
	}
	{
		map textures/cpm32_b1/pent_light.tga
		rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm32_b1/smpent_purp
{
	qer_editorimage textures/cpm32_b1/pent_light_purple.tga
	q3map_lightimage textures/cpm32_b1/pent_light_purple.tga
	surfaceparm nomarks
	q3map_surfacelight 9500  //8500
	q3map_backSplash 10 25

	{
		map $lightmap
	}
	{
		map textures/cpm32_b1/pent_light.tga
		rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_purple.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/cpm32_b1/smpent_trans_green
{
	qer_editorimage textures/cpm32_b1/pent_light_green.tga
	q3map_lightimage textures/cpm32_b1/pent_light_green.blend.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	q3map_surfacelight 8500  //8500
	//q3map_backSplash 10 25
	polygonOffset
	sort 6
	{
		map $lightmap
	}
	{
		map textures/cpm32_b1/pent_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/cpm32_b1/pent_light_green.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/cpm32_b1/backlight
{
	qer_editorimage textures/cpm32_b1/starfield.tga
	q3map_lightimage textures/cpm32_b1/starfield.tga
	q3map_surfacelight 600 
	{ 
		map textures/cpm32_b1/starfield2.jpg
		tcmod rotate 27
		rgbGen wave sin 0.3 0.3 0.2 0.1 //rgbgen identity
	}
	{
	map textures/cpm32_b1/starfield2.tga
	rgbGen wave sin 0.4 0.3 0.2 0.1
    blendFunc add //GL_ZERO GL_ONE_MINUS_SRC_COLOR
	tcmod scale 0.5 0.5
	tcmod rotate -23
	}
}


textures/cpm32_b1/crystal
{
	qer_editorimage textures/cpm32_b1/xcrystal.tga
	q3map_lightImage textures/cpm32_b1/xcrystal.tga
	q3map_surfacelight 3500
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	q3map_nonplanar
	q3map_shadeAngle 179
	qer_trans 0.99
 
	{
		map textures/cpm32_b1/xcrystal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/cpm32_b1/crystal_purp
{
	qer_editorimage textures/cpm32_b1/xcrystal_purp.tga
	q3map_lightImage textures/cpm32_b1/xcrystal_purp.tga
	q3map_surfacelight 3000
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	q3map_nonplanar
	q3map_shadeAngle 179
	qer_trans 0.99

	{
		map textures/cpm32_b1/xcrystal_purp.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}



// --- Flames

textures/cpm32_b1/flame
{
	qer_editorimage textures/cpm32_b1/flame_qer.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	q3map_surfacelight 18
	q3map_backSplash 10 25
	deformVertexes autosprite2
	q3map_lightimage textures/cpm32_b1/flame_01.tga
	q3map_cnq3_depthFade 1 0

	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2
	{
		clampmap textures/sfx/flameball.jpg
		blendFunc add
		rgbGen wave sin 0.25 0.1 0 0.4
		tcMod transform 2 0 0 1 -0.5 0
	}
	{
		animMap 24 textures/cpm32_b1/flame_01.tga textures/cpm32_b1/flame_02.tga textures/cpm32_b1/flame_03.tga textures/cpm32_b1/flame_04.tga textures/cpm32_b1/flame_05.tga textures/cpm32_b1/flame_06.tga textures/cpm32_b1/flame_07.tga textures/cpm32_b1/flame_08.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0 1.5
	}
	{
		animMap 24 textures/cpm32_b1/flame_09.tga textures/cpm32_b1/flame_10.tga textures/cpm32_b1/flame_11.tga textures/cpm32_b1/flame_12.tga textures/cpm32_b1/flame_13.tga textures/cpm32_b1/flame_14.tga textures/cpm32_b1/flame_15.tga textures/cpm32_b1/flame_16.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0.5 1.5
	}
}

textures/cpm32_b1/torchflame
{
	qer_editorimage textures/cpm32_b1/flame_qer.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	q3map_surfacelight 15
	q3map_backSplash 10 16
	q3map_lightimage textures/cpm32_b1/flame_01.tga
	q3map_cnq3_depthFade 1 0

	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2
	{
		clampmap textures/sfx/flameball.jpg
		blendFunc add
		rgbGen wave sin 0.25 0.1 0 0.4
		tcMod transform 2 0 0 1 -0.5 0
	}
	{
		animMap 32 textures/cpm32_b1/flame3_01.tga textures/cpm32_b1/flame3_02.tga textures/cpm32_b1/flame3_03.tga textures/cpm32_b1/flame3_04.tga textures/cpm32_b1/flame3_05.tga textures/cpm32_b1/flame3_06.tga textures/cpm32_b1/flame3_07.tga textures/cpm32_b1/flame3_08.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0 2
	}
	{
		animMap 32 textures/cpm32_b1/flame3_09.tga textures/cpm32_b1/flame3_10.tga textures/cpm32_b1/flame3_11.tga textures/cpm32_b1/flame3_12.tga textures/cpm32_b1/flame3_13.tga textures/cpm32_b1/flame3_14.tga textures/cpm32_b1/flame3_15.tga textures/cpm32_b1/flame3_16.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0.5 2
	}
}

textures/cpm32_b1/torchflame2
{

	qer_editorimage textures/cpm32_b1/flame_qer.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	q3map_surfacelight 18
	q3map_backSplash 10 25
	q3map_lightimage textures/cpm32_b1/flame3_01.tga
	deformVertexes autosprite2
	q3map_cnq3_depthFade 1 0
	
	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2
	{
		clampmap textures/sfx/flameball.jpg
		blendFunc add
		rgbGen wave sin 0.25 0.1 0 0.4
		tcMod transform 2 0 0 1 -0.5 0
	}
	{
		animMap 32 textures/cpm32_b1/flame3_01.tga textures/cpm32_b1/flame3_02.tga textures/cpm32_b1/flame3_03.tga textures/cpm32_b1/flame3_04.tga textures/cpm32_b1/flame3_05.tga textures/cpm32_b1/flame3_06.tga textures/cpm32_b1/flame3_07.tga textures/cpm32_b1/flame3_08.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0 2
	}
	{
		animMap 32 textures/cpm32_b1/flame3_09.tga textures/cpm32_b1/flame3_10.tga textures/cpm32_b1/flame3_11.tga textures/cpm32_b1/flame3_12.tga textures/cpm32_b1/flame3_13.tga textures/cpm32_b1/flame3_14.tga textures/cpm32_b1/flame3_15.tga textures/cpm32_b1/flame3_16.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0.5 2
	}

}

textures/cpm32_b1/torchflame3
{

	qer_editorimage textures/cpm32_b1/flame_qer.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
    //q3map_surfacelight 150
	//q3map_backSplash 10 25
	q3map_lightimage textures/cpm32_b1/flame3_01.tga
	deformVertexes autosprite2
	q3map_cnq3_depthFade 1 0
	
	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2
	{
		clampmap textures/sfx/flameball.jpg
		blendFunc add
		rgbGen wave sin 0.25 0.1 0 0.4
		tcMod transform 2 0 0 1 -0.5 0
	}
	{
		animMap 32 textures/cpm32_b1/flame3_01.tga textures/cpm32_b1/flame3_02.tga textures/cpm32_b1/flame3_03.tga textures/cpm32_b1/flame3_04.tga textures/cpm32_b1/flame3_05.tga textures/cpm32_b1/flame3_06.tga textures/cpm32_b1/flame3_07.tga textures/cpm32_b1/flame3_08.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0 2
	}
	{
		animMap 32 textures/cpm32_b1/flame3_09.tga textures/cpm32_b1/flame3_10.tga textures/cpm32_b1/flame3_11.tga textures/cpm32_b1/flame3_12.tga textures/cpm32_b1/flame3_13.tga textures/cpm32_b1/flame3_14.tga textures/cpm32_b1/flame3_15.tga textures/cpm32_b1/flame3_16.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0.5 2
	}

}

textures/cpm32_b1/candleflame
{

	qer_editorimage textures/cpm32_b1/flame_qer.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	q3map_surfacelight 8
	q3map_backSplash 10 15
	q3map_lightimage textures/cpm32_b1/flame3_01.tga
	deformVertexes autosprite2
	q3map_cnq3_depthFade 1 0

	
	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2

	{
		animMap 32 textures/cpm32_b1/flame3_01.tga textures/cpm32_b1/flame3_03.tga textures/cpm32_b1/flame3_05.tga textures/cpm32_b1/flame3_07.tga textures/cpm32_b1/flame3_09.tga textures/cpm32_b1/flame3_11.tga textures/cpm32_b1/flame3_13.tga textures/cpm32_b1/flame3_15.tga
		blendFunc add
	}

}


textures/cpm32_b1/torchflame2-nolight
{

	qer_editorimage textures/cpm32_b1/flame_qer.tga
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	//q3map_surfacelight 60
	//q3map_backSplash 10 25
	//q3map_lightimage textures/cpm32_b1/flame_light.tga
	deformVertexes autosprite2
	q3map_cnq3_depthFade 1 0

	
	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2

	{
		clampmap textures/sfx/flameball.jpg
		blendFunc add
		rgbGen wave sin 0.25 0.1 0 0.4
		tcMod transform 2 0 0 1 -0.5 0
	}
	{
		animMap 32 textures/cpm32_b1/flame3_01.tga textures/cpm32_b1/flame3_02.tga textures/cpm32_b1/flame3_03.tga textures/cpm32_b1/flame3_04.tga textures/cpm32_b1/flame3_05.tga textures/cpm32_b1/flame3_06.tga textures/cpm32_b1/flame3_07.tga textures/cpm32_b1/flame3_08.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0 2
	}
	{
		animMap 32 textures/cpm32_b1/flame3_09.tga textures/cpm32_b1/flame3_10.tga textures/cpm32_b1/flame3_11.tga textures/cpm32_b1/flame3_12.tga textures/cpm32_b1/flame3_13.tga textures/cpm32_b1/flame3_14.tga textures/cpm32_b1/flame3_15.tga textures/cpm32_b1/flame3_16.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0.5 2
	}


}


// Flipout plant shaders (remapped)

textures/cpm32_b1/fern1
{      
      surfaceparm alphashadow
      q3map_vertexScale 1.30
      qer_alphafunc greater 0.5
      surfaceparm trans
      nopicmip 
      cull none
      surfaceparm nomarks
      surfaceparm nonsolid 
      surfaceparm nolightmap 
      deformVertexes wave 5 sin 0 .5 0 0.1   
      
        
        {
		map textures/cpm32_b1/fern1.tga 
                alphaFunc GE128
                depthWrite
		rgbGen vertex
	}
}

textures/cpm32_b1/pine_bark
{
	q3map_nonplanar
	q3map_shadeAngle 45
	q3map_forcemeta
	q3map_splotchfix
	qer_editorimage textures/cpm32_b1/pine_bark.tga

	{
		map $lightmap
		tcGen lightmap
		rgbGen identity
	}	
	{
		map textures/cpm32_b1/pine_bark.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
    }
}

textures/cpm32_b1/pine_branch_01
{
	qer_editorimage textures/cpm32_b1/pine_branch_01.tga
		
	qer_alphafunc greater 0.5
	qer_trans 0.99	
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid				
	nopicmip
	cull none	     
	//deformVertexes wave 25 sin 3 8 .1 0.1      
	{
		map textures/cpm32_b1/pine_branch_01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		rgbGen const ( 1 1 1 )		
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cpm32_b1/plant1
{      

      q3map_vertexScale 1.30
      qer_alphafunc greater 0.5 
      surfaceparm trans
      cull disable
      surfaceparm nolightmap  
      deformVertexes wave 5 sin 0 .5 0 0.1  
    {
		map textures/cpm32_b1/plant1.tga 
        alphaFunc GE128
        depthWrite
		rgbGen vertex
	}
}

textures/cpm32_b1/plant3
{      

      q3map_vertexScale 1.30
      qer_alphafunc greater 0.5 
      surfaceparm trans
      cull disable
      surfaceparm nolightmap 
      deformVertexes wave 5 sin 0 .5 0 0.1   
        {
		map textures/cpm32_b1/plant3.tga 
		alphaFunc GE128
        depthWrite
		rgbGen vertex
	}
}

// Book models, based on SimonOC models from Edge of Forever 

textures/cpm32_b1/book1
{
	qer_editorimage textures/cpm32_b1/hd_book1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm32_b1/hd_book1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm32_b1/book1_openpages
{
	qer_editorimage textures/cpm32_b1/hd_book1_openpages2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm32_b1/hd_book1_openpages2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm32_b1/trim-script
{
	qer_editorimage textures/cpm32_b1/trim-script.tga

	{
		map textures/cpm32_b1/trim-script.tga
		rgbGen identity
	}

   	{
		map textures/cpm32_b1/starfield2.jpg
		tcmod scale 1 .33
		tcmod scroll .25 -.10
		rgbGen wave sin 0.7 0.3 0 0.5
	}
	{
		map textures/cpm32_b1/trim-script.tga
		alphaFunc GE128
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		//blendfunc GL_DST_COLOR GL_ZERO
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
	}
}

textures/cpm32_b1/trim2
{
	qer_editorimage textures/cpm32_b1/trim2.tga
	q3map_lightImage textures/cpm32_b1/trim2-blend.tga
	q3map_surfacelight 50
	q3map_backSplash 20 24

	{
		map textures/cpm32_b1/trim2.tga
		rgbGen identity
	}

	{
		map textures/cpm32_b1/trim2.tga
		//alphaFunc GE128
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		//blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA 
		blendfunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/cpm32_b1/trim2-blend.tga
		rgbGen wave sin 0.5 0.2 0 0.5
		blendfunc add
	}
}


textures/cpm32_b1/torchcoal
{
	qer_editorimage textures/cpm32_b1/xtorchcoal.tga
	q3map_lightImage textures/cpm32_b1/torchball.tga
//	q3map_surfacelight 12000
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_backSplash 30 12
	q3map_nonplanar
	q3map_shadeAngle 179
	

	{
		map textures/cpm32_b1/xtorchcoal.tga
		rgbGen identity
	}
   	{
		map textures/cpm32_b1/xtorchcoal.tga
		blendfunc add
		rgbGen wave noise 0.7 0.4 0 2
	}
}

textures/cpm32_b1/torchball
{
	qer_editorimage textures/cpm32_b1/torchball.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	deformVertexes autosprite
	q3map_cnq3_depthFade 1 0

	{
		clampmap textures/cpm32_b1/torchball.jpg
		blendFunc add
		rgbGen wave sin 0.3 0.15 0 0.4
		tcMod rotate 24
	}
		{
		clampmap textures/cpm32_b1/torchball.jpg
		blendFunc add
		rgbGen wave sin 0.3 0.15 0.5 0.4
		tcMod rotate -24
	}
}



textures/cpm32_b1/barrel
{
	qer_editorimage textures/cpm32_b1/barrel.tga
	cull none
	
	{
		map textures/cpm32_b1/barrel.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/bucket
{
	qer_editorimage textures/cpm32_b1/barrel.tga
	cull none
	surfaceparm nonsolid
		{
		map $lightmap

		rgbGen identity
	}
	{
		map textures/cpm32_b1/barrel.tga
		rgbGen identity
				blendFunc GL_DST_COLOR GL_ZERO
	}

}

textures/cpm32_b1/rope
{
	qer_editorimage textures/cpm32_b1/wood_brownlight.tga
	surfaceparm nonsolid
	
	{
		map textures/cpm32_b1/wood_brownlight.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/skin_move
{
	qer_editorimage textures/cpm32_b1/greenskin.tga
	tessSize 128
	surfaceparm nonsolid
	deformVertexes wave 300 sin 1.5 1 0 0.3
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm32_b1/greenskin.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcmod scale 4 4
		tcmod turb .01 .01 0 0.3
	}
}

textures/cpm32_b1/skin
{
	qer_editorimage textures/cpm32_b1/greenskin.tga
	tessSize 128
	surfaceparm nonsolid

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm32_b1/greenskin.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
		tcmod scale 2 2
		tcmod turb .03 .03 0 0.3
	}
}

// --- Liquids

textures/cpm32_b1/slime
{
	qer_editorimage textures/cpm32_b1/slime_02g.tga
	q3map_lightimage textures/cpm32_b1/slime_02g_dark.tga
	q3map_cnq3_depthFade 4 0
	qer_trans 0.40
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm slime
	q3map_lightmapSampleOffset -3
	q3map_surfacelight 90 
	cull disable
	nopicmip
	tesssize 32
	deformVertexes wave 100 sin 1 2 0 .5
	{ 
		map textures/cpm32_b1/slime_02g.jpg
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .05 .05
		//tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.03 .009
	}


		{ 
			map textures/cpm32_b1/slime_02g.jpg
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale 0.07 0.07
			//tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 -.005
		}

}

textures/cpm32_b1/slime_outside
{
	qer_editorimage textures/cpm32_b1/slime_02g_dark.tga
	q3map_lightimage textures/cpm32_b1/slime_02g_dark.tga
	qer_trans 0.40
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm slime
	q3map_lightmapSampleOffset -3
	q3map_surfacelight 90 
	cull disable
	nopicmip
	tesssize 32
	deformVertexes wave 100 sin 1 2 0 .5
	q3map_cnq3_depthFade 4 0
	surfaceparm nodlight
	//surfaceparm fog
	//fogparms ( .16 .65 .32 ) 350
	{ 
		map textures/cpm32_b1/slime_02g.jpg
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale .5 .5
		//tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.003 .009
	}


		{ 
			map textures/cpm32_b1/slime_02g.jpg
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale 0.7 0.7
			//tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.005 -.005
		}

}

textures/cpm32_b1/slimefall
{
	qer_editorimage textures/cpm32_b1/slime_02g.tga
	q3map_lightimage textures/cpm32_b1/slime_02g_dark.tga
	qer_trans 0.40
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm slime
	q3map_lightmapSampleOffset -3
	q3map_surfacelight 90 
	cull disable
	nopicmip
	//tesssize 32
	//deformVertexes wave 100 sin 1 2 0 .5

	{ 
		map textures/cpm32_b1/slime_02g_dark.jpg
		blendFunc add
		blendFunc GL_dst_color GL_zero
		tcmod scale .5 .5
		//tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -0.1 0.01
	}
	{ 
			map textures/cpm32_b1/slime_02g_dark.jpg
			blendFunc GL_dst_color GL_one
			tcmod scale 0.7 0.7
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.07 -0.01
	}

}

textures/cpm32_b1/water
{
	qer_editorimage textures/cpm32_b1/water.tga
	q3map_lightimage textures/cpm32_b1/water.tga
	q3map_cnq3_depthFade 4 0
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5

	{ 
		map textures/cpm32_b1/water.jpg
		blendFunc GL_dst_color GL_zero
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.003 .009
	}


		{ 
			map textures/cpm32_b1/water.jpg
			blendFunc GL_dst_color GL_zero
			rgbgen identity
			tcmod scale 0.7 0.7
			tcmod scroll .005 -.005
		}


}

textures/cpm32_b1/slime_fog
{
	qer_editorimage textures/cpm32_b1/fog_green.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .016 .065 .032 ) 650
}
textures/cpm32_b1/slime_fog2
{
	qer_editorimage textures/cpm32_b1/fog_green.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( .16 .65 .32 ) 350
}

textures/cpm32_b1/cthulu_window
{
	qer_editorimage textures/cpm32_b1/cthulu_window.tga
	surfaceparm lightfilter
	surfaceparm alphashadow
    nopicmip
	q3map_surfacelight 150
	q3map_backSplash 10 25
	q3map_lightimage textures/cpm32_b1/cthulu_window.tga
	{
		map textures/cpm32_b1/cthulu_window.tga
		rgbGen identity
	}
	{
		Map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/cpm32_b1/cthulu_window_purple
{
	qer_editorimage textures/cpm32_b1/cthulu_window_purple.tga
	surfaceparm lightfilter
	surfaceparm alphashadow
    nopicmip
	q3map_surfacelight 150
	q3map_backSplash 10 8
	q3map_lightimage textures/cpm32_b1/cthulu_window_purple.tga
	{
		map textures/cpm32_b1/cthulu_window_purple.tga
		rgbGen identity
	}

}




// --- Teleporter

textures/cpm32_b1/seam-scroll
{
 	qer_editorimage textures/cpm32_b1/copper-seam-64x1024-r
    nopicmip
	{
		map textures/cpm32_b1/copper-seam-64x1024-r
		rgbGen identity
		tcMod scroll -0.3 0
	}
	{
		Map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/cpm32_b1/seam-scroll2
{
 	qer_editorimage textures/cpm32_b1/copper-seam-64x1024-r
    nopicmip
	{
		map textures/cpm32_b1/copper-seam-64x1024-r
		rgbGen identity
		tcMod scroll -0.2 0
	}
	{
		Map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


// --- teleporter purple ring

textures/cpm32_b1/nebula
{
	qer_editorimage textures/cpm32_b1/tele4.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	q3map_surfacelight 100
	q3map_backSplash 10 25
	q3map_lightimage textures/cpm32_b1/ring_01.tga
	q3map_cnq3_depthFade 8 4

	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2
	{
		map textures/cpm32_b1/tele4.tga
		blendFunc add
		rgbGen wave sin 0.2 0.1 0 0.7
		tcMod rotate 13
		tcMod scale -1 1
	}
	{
		Map textures/cpm32_b1/tele4.tga
		blendFunc add
		rgbGen wave triangle 0.1 0.1 0 1.1
		tcMod rotate 13
		tcMod scale -1 1
	}
	{
		animMap 32 textures/cpm32_b1/ring_01.tga textures/cpm32_b1/ring_02.tga textures/cpm32_b1/ring_03.tga textures/cpm32_b1/ring_04.tga textures/cpm32_b1/ring_05.tga textures/cpm32_b1/ring_06.tga textures/cpm32_b1/ring_07.tga textures/cpm32_b1/ring_08.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0 2
		tcMod rotate -19
	}
	{
		animMap 32 textures/cpm32_b1/ring_09.tga textures/cpm32_b1/ring_10.tga textures/cpm32_b1/ring_11.tga textures/cpm32_b1/ring_12.tga textures/cpm32_b1/ring_13.tga textures/cpm32_b1/ring_14.tga textures/cpm32_b1/ring_15.tga textures/cpm32_b1/ring_16.tga
		blendFunc add
		rgbGen wave square 0.5 0.5 0.5 2
		tcMod rotate -19
	}
	{
		map textures/cpm32_b1/tele3.tga
		blendFunc add
		rgbGen wave sin 0.2 0.1 0 0.7
		tcMod rotate -13
		tcMod scale -1 1
	}
}

// --- purple tentacles

textures/cpm32_b1/threads 
{
	qer_editorimage textures/cpm32_b1/threads_01.tga
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	nopicmip
	deformVertexes wave 200 sin 0 4 0 0.5
	q3map_lightimage textures/cpm32_b1/threads_01.tga
	q3map_surfacelight 100
	q3map_backSplash 10 25
	q3map_cnq3_depthFade 8 0
			{
		map textures/cpm32_b1/omgstars.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen vertex
		tcMod scale 2 0.125
		tcMod scroll 0 0.23
	}
	{
		map textures/cpm32_b1/omgstars.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen vertex
		tcMod scale 1 0.0625
		tcMod scroll 0 0.17
	}
		
	{
		animMap 32 textures/cpm32_b1/threads_01.tga textures/cpm32_b1/threads_02.tga textures/cpm32_b1/threads_03.tga textures/cpm32_b1/threads_04.tga textures/cpm32_b1/threads_05.tga textures/cpm32_b1/threads_06.tga textures/cpm32_b1/threads_07.tga textures/cpm32_b1/threads_08.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave square 0.5 0.5 0 2
		alphaGen vertex
		tcMod transform 0 -1 1 0 0 0
		tcMod scroll 0.3 0
	}
	{
		animMap 32 textures/cpm32_b1/threads_09.tga textures/cpm32_b1/threads_10.tga textures/cpm32_b1/threads_11.tga textures/cpm32_b1/threads_12.tga textures/cpm32_b1/threads_13.tga textures/cpm32_b1/threads_14.tga textures/cpm32_b1/threads_15.tga textures/cpm32_b1/threads_16.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave square 0.5 0.5 0.5 2
		alphaGen vertex
		tcMod transform 0 -1 1 0 0 0
		tcMod scroll 0.3 0
	}

}

textures/cpm32_b1/alpha_vert
{
        qer_editorimage textures/common/Alpha_vert.tga
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm trans
	q3map_alphaMod volume
	q3map_alphaMod set 0
}

textures/cpm32_b1/threads2 
{
	qer_editorimage textures/cpm32_b1/threads_01.tga
	surfaceparm nodlight
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	nopicmip
	deformVertexes wave 200 sin 1 4 0 0.5
	q3map_lightimage textures/cpm32_b1/threads_01.tga
	//q3map_surfacelight 150
	//q3map_backSplash 10 25
	q3map_cnq3_depthFade 16 0
	{
		map textures/cpm32_b1/omgstars.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen vertex
		tcMod scale 2 0.125
		tcMod scroll -0.4 0.23
	}
	{
		map textures/cpm32_b1/omgstars.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		alphaGen vertex
		tcMod scale 1 0.625
		tcMod scroll 1 0.17
	}	
	{
		animMap 32 textures/cpm32_b1/threads_01.tga textures/cpm32_b1/threads_02.tga textures/cpm32_b1/threads_03.tga textures/cpm32_b1/threads_04.tga textures/cpm32_b1/threads_05.tga textures/cpm32_b1/threads_06.tga textures/cpm32_b1/threads_07.tga textures/cpm32_b1/threads_08.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave square 0.5 0.5 0 2
		alphaGen vertex
		tcMod transform 0 -1 1 0 0 0
		tcMod scroll 0.3 0.2
	}
	{
		animMap 32 textures/cpm32_b1/threads_09.tga textures/cpm32_b1/threads_10.tga textures/cpm32_b1/threads_11.tga textures/cpm32_b1/threads_12.tga textures/cpm32_b1/threads_13.tga textures/cpm32_b1/threads_14.tga textures/cpm32_b1/threads_15.tga textures/cpm32_b1/threads_16.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave square 0.5 0.5 0.5 2
		alphaGen vertex
		tcMod transform 0 -1 1 0 0 0
		tcMod scroll 0.3 0.2
	}
}

// -- void thingy

textures/cpm32_b1/void
{
	qer_editorimage textures/cpm32_b1/tele4.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	q3map_surfacelight 100
	q3map_backSplash 10 25
	q3map_lightimage textures/cpm32_b1/cthulu_purple.tga
	deformVertexes wave 100 sin 1 2 0 .5
	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2

	
	{
		map textures/cpm32_b1/cthulu_purple.tga
		blendFunc add
		rgbGen vertex
		depthWrite
		tcMod scale 1 1
		tcMod scroll 0.1 0.2
	}
		{
		map textures/cpm32_b1/ring_01.tga 
		blendFunc add
		rgbGen wave sin 1 0.5 0 2
		tcMod scroll 0.3 -0.4
	}

	{
		map textures/cpm32_b1/threads_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin 1 0.5 0 2
		alphaGen vertex
		tcMod transform 0 -1 1 0 0 0
		tcMod scroll 0.3 1.2
	}


}

textures/cpm32_b1/void2
{
	qer_editorimage textures/cpm32_b1/tele4.tga
	deformVertexes wave 100 sin 1 2 0 .5
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
    nopicmip
	q3map_surfacelight 100
	q3map_backSplash 10 25
	q3map_lightimage textures/cpm32_b1/cthulu_purple.tga

	// shorter but more fluid: 32 1.5
	// longer  but less fluid: 24 2
	{
		map textures/cpm32_b1/cthulu_purple.tga
		blendFunc filter
		rgbGen identity
		//alphaFunc GE128
		depthWrite
		tcMod scale 1 1
		tcMod scroll -0.1 -0.2
	}
		{
		map textures/cpm32_b1/ring_01.tga 
		blendFunc add
		rgbGen wave sin 1 0.5 0 2
		tcMod scroll -0.3 -0.4
	}

	{
		map textures/cpm32_b1/threads_01.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave sin 0.5 0.2 0 2
		alphaGen vertex
		tcMod transform 0 -1 1 0 0 0
		tcMod scroll -0.3 1.2
	}


}

textures/cpm32_b1/sky
{
	qer_editorimage textures/cpm32_b1/greywash_up.tga
	
	q3map_sunExt 90 100 100 100 260 75 3 32 //red green blue intensity degrees elevation deviance samples
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 240 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/cpm32_b1/grave 256 -

	{
		map textures/cpm32_b1/greywash_clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 1.5 1.8
		tcMod scroll 0.01 0.01
	}
		{
		map textures/cpm32_b1/greywash_clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 2.5
		tcMod scroll 0.002 0.003
	}
}


// 136 24 -28



textures/cpm32_b1/flare
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	nopicmip
	q3map_cnq3_depthFade 4 0
	{
		clampmap textures/cpm32_b1/flare.tga
		tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}

textures/cpm32_b1/flare_purp
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	nopicmip
	q3map_cnq3_depthFade 4 0
	{
		clampmap textures/cpm32_b1/flare_purp.tga
		tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}

textures/cpm32_b1/flare_green
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	nopicmip
	q3map_cnq3_depthFade 4 0
	{
		clampmap textures/cpm32_b1/flare_green.tga
		tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}

textures/cpm32_b1/beam_purp
{
	qer_editorimage textures/cpm32_b1/beam_purp.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	surfaceparm nomipmaps
		    
	{
		map textures/cpm32_b1/beam_purp.tga
       blendFunc add
	   		rgbGen wave sin 0.3 0.3 0.2 0.1
	}
}

textures/cpm32_b1/sphere_purp
{
	qer_editorimage textures/cpm32_b1/starfield.tga
	q3map_lightimage textures/cpm32_b1/starfield.tga
	q3map_surfacelight 600 
	{ 
		map textures/cpm32_b1/starfield2.jpg
		tcmod rotate 27
		rgbGen wave sin 0.3 0.3 0.2 0.1 
		blendfunc add
	}
}

textures/cpm32_b1/rustygrate
{
	surfaceparm	metalsteps	
    surfaceparm trans	
	surfaceparm alphashadow
	cull none
    nopicmip
	{
		map textures/cpm32_b1/rustygrate.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/cpm32_b1/black-sfx
{
	qer_editorimage textures/common/invisible.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	{
		map textures/common/invisible.tga
	}
}



// ======================================================================
// DECALS
// ======================================================================



textures/cpm32_b1/tele-out
{
	qer_editorimage textures/cpm32_b1/tele2.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset
	sort 6
	{
		map textures/cpm32_b1/tele4.tga
		blendfunc add
		rgbGen wave sin 0.5 0.3 0.2 0.2
		tcMod rotate 13
	}
	{
		map textures/cpm32_b1/tele3.tga
		blendfunc add
		rgbGen wave sin 0.5 0.3 0.2 0.2
		tcMod rotate -13
	}
}

textures/cpm32_b1/cthulu_text
{
	qer_editorimage textures/cpm32_b1/cthulu_text.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset
	sort 6
	{
			
		map textures/cpm32_b1/cthulu_text.tga
		blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		//alphaFunc GE128

	}
}


textures/cpm32_b1/decal_text_purple_glow
{
	qer_editorimage textures/cpm32_b1/decal_text_purple.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_text_purple.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR

	  		
   }
   
   	{
		map textures/cpm32_b1/decal_text_purple.blend.tga
		blendfunc add
		rgbGen wave sin 0.3 0.3 0.2 0.1
	}
}
textures/cpm32_b1/decal_text_green
{
	qer_editorimage textures/cpm32_b1/decal_text_green.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_text_green.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
	 // rgbGen wave sin 1 0.5 0 0.3
       }
}
textures/cpm32_b1/decal_text_red
{
	qer_editorimage textures/cpm32_b1/decal_text_red.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_text_red.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }
}
textures/cpm32_b1/decal_text_black
{
	qer_editorimage textures/cpm32_b1/decal_text_black.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_text_black.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
       }
}
textures/cpm32_b1/decal_stain1
{
	qer_editorimage textures/cpm32_b1/decal_stain1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_stain1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
       }
}
textures/cpm32_b1/decal_stain1
{
	qer_editorimage textures/cpm32_b1/decal_stain1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_stain1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
       }
}
textures/cpm32_b1/decal_stain1_red
{
	qer_editorimage textures/cpm32_b1/decal_stain1_red.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_stain1_red.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
       }
}

textures/cpm32_b1/decal_footprints
{
	qer_editorimage textures/cpm32_b1/decal_footprints.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_footprints.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
       }
}

// ----------------------------------------------------------------------
textures/cpm32_b1/decal_stain2a
{
	qer_editorimage textures/cpm32_b1/decal_stain2a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_stain2a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      
   }
}
// ----------------------------------------------------------------------
textures/cpm32_b1/decal_stain2b
{
	qer_editorimage textures/cpm32_b1/decal_stain2b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_stain2b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      
   }
}
// ----------------------------------------------------------------------
textures/cpm32_b1/decal_stain2b_red
{
	qer_editorimage textures/cpm32_b1/decal_stain2b_red.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_stain2b_red.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      
   }
}
// ----------------------------------------------------------------------
textures/cpm32_b1/decal_stain3a
{
	qer_editorimage textures/cpm32_b1/decal_stain3a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_stain3a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      
   }
}
// ----------------------------------------------------------------------
textures/cpm32_b1/decal_stain3b
{
	qer_editorimage textures/cpm32_b1/decal_stain3b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   sort 6
   nopicmip
   {
      map textures/cpm32_b1/decal_stain3b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      
   }
}


textures/cpm32_b1/floor_stone1
{
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	
	{
		// Primary
		map textures/cpm32_b1/floor_stone1.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/cpm32_b1/brick_grey
{
	qer_editorimage textures/cpm32_b1/brick_grey_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_grey.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_grey_moss
{
	qer_editorimage textures/cpm32_b1/brick_grey_moss_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_grey_moss.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_grey_mossfull
{
	qer_editorimage textures/cpm32_b1/brick_grey_mossfull_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_grey_mossfull.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_grey_stain
{
	qer_editorimage textures/cpm32_b1/brick_grey_stain_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_grey_stain.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/cpm32_b1/brick_greytrim
{
	qer_editorimage textures/cpm32_b1/brick_greytrim_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_greytrim.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
textures/cpm32_b1/brick_dark2
{
	qer_editorimage textures/cpm32_b1/brick_dark2_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_dark2.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_dark2_stain
{
	qer_editorimage textures/cpm32_b1/brick_dark2_stain_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_dark2_stain.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_darkgreen
{
	qer_editorimage textures/cpm32_b1/brick_darkgreen_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_darkgreen.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_darkgreen_stain
{
	qer_editorimage textures/cpm32_b1/brick_darkgreen_stain_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_darkgreen_stain.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/cpm32_b1/brick_grey3
{
	qer_editorimage textures/cpm32_b1/brick_grey_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_grey.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}



textures/cpm32_b1/brick_grey3_stain
{
	qer_editorimage textures/cpm32_b1/brick_grey_stain_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_grey_stain.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_mix_grey
{
	qer_editorimage textures/cpm32_b1/brick_mix_grey_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_mix_grey.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_mix_grey_moss
{
	qer_editorimage textures/cpm32_b1/brick_mix_grey_moss_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_mix_grey_moss.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_mix_grey_mossfull
{
	qer_editorimage textures/cpm32_b1/brick_mix_grey_mossfull_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_mix_grey_mossfull.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/brick_mix_grey_stain
{
	qer_editorimage textures/cpm32_b1/brick_mix_grey_stain_m.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/brick_mix_grey_stain.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/moss2rock2
{
    qer_editorimage textures/cpm32_b1/ter_moss1_qer.tga
    q3map_nonplanar
    q3map_shadeangle 120
	     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
    {
        map textures/cpm32_b1/rock2.tga
        rgbGen identity
    }
    {
        // Secondary
        map textures/cpm32_b1/ter_moss1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        alphaGen vertex
        rgbGen identity
    }
    {	
	tcgen lightmap
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/cpm32_b1/moss2rock2_nophong  
{
    qer_editorimage textures/cpm32_b1/ter_moss1.tga
	     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_nonplanar 
    q3map_shadeangle 120
    {
        map textures/cpm32_b1/rock2.tga
        rgbGen identity
    }
    {
        // Secondary
        map textures/cpm32_b1/ter_moss1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        alphaGen vertex
        rgbGen identity
    }
    {	
	tcgen lightmap
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}      

// Alpha blend terrain - Shader taken from sock's tutorial
// http://simonoc.com/pages/articles/terrain2_2.htm
textures/cpm32_b1/mud 
{
    q3map_nonplanar
	q3map_shadeangle 120
    q3map_lightmapMergable
	q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
    qer_editorimage textures/cpm32_b1/ter_mud1.tga
    {
        map textures/cpm32_b1/ter_mud1.tga
        rgbGen identity
    }
    {
        map textures/cpm32_b1/moss1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        alphaGen vertex
        rgbGen identity
    }
    {
		tcgen lightmap
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// Alpha blend terrain - Shader taken from sock's tutorial
// http://simonoc.com/pages/articles/terrain2_2.htm
textures/cpm32_b1/mud_phong {
    q3map_nonplanar
    q3map_shadeangle 120
    q3map_lightmapMergable
    qer_editorimage textures/cpm32_b1/ter_mud1.tga
		     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
    {
        map textures/cpm32_b1/ter_mud1.tga
        rgbGen identity
    }
    {
        map textures/cpm32_b1/moss1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        alphaGen vertex
        rgbGen identity
    }
    {
	tcgen lightmap
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/cpm32_b1/moss_decal
{
    qer_editorimage textures/cpm32_b1/moss_decal_qer.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    qer_trans 0.5
    q3map_notjunc
    q3map_shadeAngle 179
    q3map_nonplanar
    {
            map textures/cpm32_b1/moss_decal.tga
            blendfunc gl_zero gl_src_color
            rgbGen identity
    }
}

textures/cpm32_b1/moss_decal2
{
    qer_editorimage textures/cpm32_b1/moss_decal2_qer.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    qer_trans 0.9
    q3map_notjunc
    q3map_shadeAngle 179
    q3map_nonplanar
    {
            map textures/cpm32_b1/moss_decal2.tga
            blendfunc gl_zero gl_src_color
            rgbGen identity
    }
}

textures/cpm32_b1/moss_decal3
{
    qer_editorimage textures/cpm32_b1/moss_decal3_qer.tga
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    qer_trans 0.9
    q3map_notjunc
    q3map_shadeAngle 179
    q3map_nonplanar
    {
            map textures/cpm32_b1/moss_decal3.tga
            blendfunc gl_zero gl_src_color
            rgbGen identity
    }
}

textures/cpm32_b1/dirt2moss
{
    qer_editorimage textures/cpm32_b1/dirt1.tga
    q3map_nonplanar
    q3map_shadeangle 120
    q3map_lightmapMergable
	 q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
    {
        map textures/cpm32_b1/dirt1.tga
        rgbGen identity
    }
    {
        // Secondary
        map textures/cpm32_b1/ter_moss1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphafunc GE128
        alphaGen vertex
        rgbGen identity
    }
    {
		tcgen lightmap
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/cpm32_b1/rock2fjgsmoss {
    qer_editorimage textures/cpm32_b1/rock2.tga
    q3map_nonplanar
    q3map_shadeangle 120
    q3map_lightmapMergable
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
    {
        map textures/cpm32_b1/rock2.tga
        rgbGen identity
    }
    {
        map textures/cpm32_b1/moss1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        alphaGen vertex
        rgbGen identity
    }
    {	
	tcgen lightmap
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// Alpha blend terrain - Shader taken from sock's tutorial
// http://simonoc.com/pages/articles/terrain2_2.htm
 
textures/cpm32_b1/rock1 {
    qer_editorimage textures/cpm32_b1/rock1.tga
    q3map_nonplanar
    q3map_shadeangle 120
    q3map_lightmapMergable
	q3map_lightmapSampleOffset 4 // last resort before the last resort 
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
    {
        map textures/cpm32_b1/rock1.tga
        rgbGen identity
    }
    {
        map textures/cpm32_b1/moss1.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        alphaGen vertex
        rgbGen identity
    }
    {	
	tcgen lightmap
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/cpm32_b1/wood_merge
{
    qer_editorimage textures/cpm32_b1/wood_browndark.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/cpm32_b1/wood_browndark.tga
        blendFunc filter
    }
}

textures/cpm32_b1/kit-thulu
{
  
  surfaceparm trans	
  surfaceparm nomarks	
  cull none
  sort 10

	{
		map textures/cpm32_b1/kit-thulu.tga
		alphaFunc GE128
		depthWrite   
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cpm32_b1/cthulu_v2
{
	qer_editorimage textures/cpm32_b1/cthulu_v2.tga
     q3map_lightmapSize 2048 1024
     q3map_lightmapBrightness 2.0
	q3map_lightmapMergable
	{
		// Primary
		map textures/cpm32_b1/cthulu_v2.tga
		rgbGen identity
	}
	{	
	tcgen lightmap
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	
}

// --- SimonOC Terrain-soc shaders used as-is but renamed

textures/cpm32_b1/rock_grey2moss1
{
	qer_editorimage textures/cpm32_b1/rock_grey2moss1.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		// Primary
		map textures/cpm32_b1/rock_grey2.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/cpm32_b1/ter_moss1wall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/rock_brown2
{
	qer_editorimage textures/cpm32_b1/rock_brown2.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm32_b1/rock_brown2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/ter_mossgravel
{
	qer_editorimage textures/cpm32_b1/ter_mossgravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		// Primary
		map textures/cpm32_b1/ter_moss1.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/cpm32_b1/ter_gravel1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cpm32_b1/rock_grey3
{
	qer_editorimage textures/cpm32_b1/rock_grey3.tga
	
	q3map_nonplanar
	q3map_shadeAngle 75
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/cpm32_b1/rock_grey3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

